Endpoints
Poll Job
GET
/
job
/
{id}
Poll Job
curl --request GET \
--url https://api.documind.xyz/job/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.documind.xyz/job/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.documind.xyz/job/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "<string>",
"status": "<string>",
"pages": 123,
"type": "<string>",
"fileName": "<string>",
"result": {},
"formats": {}
}Params
string
The id of the extraction job.
Response
string
The unique id of the extraction job.
string
Date and time when the job was created.
string
Status of the job. This can be
CREATED, COMPLETED, FAILED or IN_PROGRESS.number
Number of pages in the document processed.
string
default:"extraction"
The type of job.
string
The file URL.
object
The result of the extracted job.
object
Available formats for the document.
⌘I
Poll Job
